View Issue Details

IDProjectCategoryView StatusLast Update
0018191MediaMonkey 5Main Panelpublic2021-12-16 17:17
Reporterlowlander Assigned To 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0.1 
Target Version5.0.2 
Summary0018191: Scrolling in the Filelisting isn't smooth
DescriptionI've seen this in the different Views including Filelisting. In this screencast there is a small hiccup in the Filelisting, but Grid (by Album) really suffers. There are also hiccups in the List (by Album).
Steps To ReproduceStandard DPI/Sizing settings in Windows

1) Smooth Scrolling
1 View a large list in the Filelisting
2 Click wheel of mouse and move mouse down to have it auto-scroll

2) Also see in this Cast/Log
1 When initially loading the List (by Album) node it doesn't load correctly, instead of showing by Album with Artwork it shows all files as one Album without any Artwork.
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?f=30&t=99741
https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=99769
https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=99646
TagsNo tags attached.
Fixed in build

Relationships

related to 0015039 resolvedrusty Add option to switch smooth scrolling off. 
related to 0018679 newpetr Tracklist headers 'jump' when scrolling if display Scaling > 100% 
related to 0018239 newpetr MM experiences scrolling-related rendering glitches (when window scaling is >100%) 

Activities

michal

2021-10-18 11:40

developer   ~0065282

Last edited: 2021-10-18 17:37

View 2 revisions

Do you experience still some problems? I cannot see any screencast here.
Also note, that scrolling is affected by running DbgView.

lowlander

2021-10-20 16:54

developer   ~0065357

Yes, 2510 still observes temporary pauses in scrolling

Ludek

2021-10-20 20:57

developer   ~0065363

Last edited: 2021-10-20 21:01

View 2 revisions

Even with DbgView closed? As Michal pointed it is DbgView that is making the scrolling not fluent.

i.e. I can replicate not fluent scrolling in Music > Albums [Grid (by Album)] when DbgView is running.
But if the DbgView is closed then the scrolling is smooth, can you confirm?

lowlander

2021-10-21 20:05

developer   ~0065390

Without DebugView it seems fairly smooth.